--url https://api.omnimux.ai/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--form file=@audio.mp3 \
--form model="whisper-1"
{
"text": "Welcome to the podcast. Today we discuss AI agent infrastructure..."
}
{ "error": { "message": "Invalid request", "type": "invalid_request_error", "code": "bad_request" } }
{ "error": { "message": "Invalid token", "type": "authentication_error", "code": "unauthorized" } }
{
"error": {
"message": "Insufficient quota. Please top up your account.",
"type": "insufficient_quota",
"code": "insufficient_quota"
}
}
{ "error": { "message": "Rate limit exceeded", "type": "rate_limit_error", "code": "rate_limit_exceeded" } }
{ "error": { "message": "Internal server error", "type": "server_error", "code": "internal_error" } }
--url https://api.omnimux.ai/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--form file=@audio.mp3 \
--form model="whisper-1"
{
"text": "Welcome to the podcast. Today we discuss AI agent infrastructure..."
}
{ "error": { "message": "Invalid request", "type": "invalid_request_error", "code": "bad_request" } }
{ "error": { "message": "Invalid token", "type": "authentication_error", "code": "unauthorized" } }
{
"error": {
"message": "Insufficient quota. Please top up your account.",
"type": "insufficient_quota",
"code": "insufficient_quota"
}
}
{ "error": { "message": "Rate limit exceeded", "type": "rate_limit_error", "code": "rate_limit_exceeded" } }
{ "error": { "message": "Internal server error", "type": "server_error", "code": "internal_error" } }
Whisper
Whisper Audio Transcription
Whisper Audio Transcription · model whisper-1
--url https://api.omnimux.ai/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--form file=@audio.mp3 \
--form model="whisper-1"
{
"text": "Welcome to the podcast. Today we discuss AI agent infrastructure..."
}
{ "error": { "message": "Invalid request", "type": "invalid_request_error", "code": "bad_request" } }
{ "error": { "message": "Invalid token", "type": "authentication_error", "code": "unauthorized" } }
{
"error": {
"message": "Insufficient quota. Please top up your account.",
"type": "insufficient_quota",
"code": "insufficient_quota"
}
}
{ "error": { "message": "Rate limit exceeded", "type": "rate_limit_error", "code": "rate_limit_exceeded" } }
{ "error": { "message": "Internal server error", "type": "server_error", "code": "internal_error" } }
POST
/
v1
/
audio
/
transcriptions
--url https://api.omnimux.ai/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--form file=@audio.mp3 \
--form model="whisper-1"
{
"text": "Welcome to the podcast. Today we discuss AI agent infrastructure..."
}
{ "error": { "message": "Invalid request", "type": "invalid_request_error", "code": "bad_request" } }
{ "error": { "message": "Invalid token", "type": "authentication_error", "code": "unauthorized" } }
{
"error": {
"message": "Insufficient quota. Please top up your account.",
"type": "insufficient_quota",
"code": "insufficient_quota"
}
}
{ "error": { "message": "Rate limit exceeded", "type": "rate_limit_error", "code": "rate_limit_exceeded" } }
{ "error": { "message": "Internal server error", "type": "server_error", "code": "internal_error" } }
- Call
POST /v1/audio/transcriptionswithmodelwhisper-1 - Request is
multipart/form-datawithfileandmodel - Returns transcribed text in JSON, text, or subtitle format
Identity
| Field | Value |
|---|---|
| Series | Audio series |
| Brand | Whisper |
| model | whisper-1 |
Endpoint
| Method | Path |
|---|---|
POST | /v1/audio/transcriptions |
https://api.omnimux.ai
Authorizations
| Name | In | Type | Required | Description |
|---|---|---|---|---|
Authorization | header | string | yes | Bearer sk-... (API key) |
Body (multipart/form-data)
| Field | Type | Required | Description |
|---|---|---|---|
file | binary | yes | Audio file to transcribe (flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, webm) |
model | string | yes | Must be whisper-1 |
language | string | no | ISO-639-1 language code (e.g. en, zh) |
prompt | string | no | Optional text guide for spelling / context |
response_format | string | no | json (default), text, srt, verbose_json, vtt |
temperature | number | no | Sampling temperature between 0 and 1 |
Response
200
| Field | Type | Description |
|---|---|---|
text | string | Transcribed text content |